class CreateSaasPaymentsSkus < ActiveRecord::Migration[5.2]
  def change
    create_table :saas_payments_skus do |t|
      t.string :stripe_id
      t.string :product_id

      t.boolean :active
      t.string :currency
      t.string :image
      t.boolean :livemode
      t.integer :price

      # Serialized objects
      t.text :package_dimensions
      t.text :metadata
      t.text :inventory
      t.text :attrs

      t.timestamps
    end
  end
end
