class CreateSaasPaymentsOrders < ActiveRecord::Migration[5.2]
  def change
    create_table :saas_payments_orders do |t|
      t.string :stripe_id
      t.string :customer_id
      t.integer :amount
      t.integer :amount_returned
      t.string :application
      t.integer :application_fee
      t.string :charge
      t.string :currency
      t.string :email
      t.boolean :livemode
      t.string :status

      # Serialize
      t.text :metadata
      t.text :status_transitions
      t.text :items

      t.timestamps
    end
  end
end
